JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_AudioProcessorGraph.h File Reference

## Classes
class | AudioProcessorGraph
| A type of AudioProcessor which plays back a graph of other AudioProcessors. More...
struct | AudioProcessorGraph::NodeID
| Each node in the graph has a UID of this type. More...
class | AudioProcessorGraph::NodeAndChannel
| Represents an input or output channel of a node in an AudioProcessorGraph. More...
class | AudioProcessorGraph::Node
| Represents one of the nodes, or processors, in an AudioProcessorGraph. More...
struct | AudioProcessorGraph::Connection
| Represents a connection between two channels of two nodes in an AudioProcessorGraph. More...
class | AudioProcessorGraph::AudioGraphIOProcessor
| A special type of AudioProcessor that can live inside an AudioProcessorGraph in order to use the audio that comes into and out of the graph itself. More...